#!/bin/bash
if [ -z "$target" ]; then
echo "target not specified."
exit 1
fi

if [ -z "$(which arduino-cli)" ]; then
curl -fsSL https://raw.githubusercontent.com/arduino/arduino-cli/master/install.sh | BINDIR=/usr/local/bin sh -s 0.35.3
fi

apt-get update

if [ -z "$(which java)" ]; then
apt-get install -y --no-install-recommends openjdk-17-jre
fi

if [ -z "$(apt list --installed 2> /dev/null | grep librxtx-java)" ]; then
apt-get install librxtx-java
fi

if [ -z "$(groups $target | grep dialout)" ]; then
echo $target dialout | xargs adduser
fi
